Open CASCADE Technology: TopOpeBRepBuild_GTopo Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
TopOpeBRepBuild_GTopo Class Reference

`#include <TopOpeBRepBuild_GTopo.hxx>`

## Public Member Functions
| TopOpeBRepBuild_GTopo ()
| TopOpeBRepBuild_GTopo (const Standard_Integer II, const Standard_Integer IN, const Standard_Integer IO, const Standard_Integer NI, const Standard_Integer NN, const Standard_Integer NO, const Standard_Integer OI, const Standard_Integer ON, const Standard_Integer OO, const TopAbs_ShapeEnum t1, const TopAbs_ShapeEnum t2, const TopOpeBRepDS_Config C1, const TopOpeBRepDS_Config C2)
void | Reset ()
void | Set (const Standard_Boolean II, const Standard_Boolean IN, const Standard_Boolean IO, const Standard_Boolean NI, const Standard_Boolean NN, const Standard_Boolean NO, const Standard_Boolean OI, const Standard_Boolean ON, const Standard_Boolean OO)
void | Type (TopAbs_ShapeEnum &t1, TopAbs_ShapeEnum &t2) const
void | ChangeType (const TopAbs_ShapeEnum t1, const TopAbs_ShapeEnum t2)
TopOpeBRepDS_Config | Config1 () const
TopOpeBRepDS_Config | Config2 () const
void | ChangeConfig (const TopOpeBRepDS_Config C1, const TopOpeBRepDS_Config C2)
Standard_Boolean | Value (const TopAbs_State s1, const TopAbs_State s2) const
Standard_Boolean | Value (const Standard_Integer I1, const Standard_Integer I2) const
Standard_Boolean | Value (const Standard_Integer II) const
void | ChangeValue (const Standard_Integer i1, const Standard_Integer i2, const Standard_Boolean b)
void | ChangeValue (const TopAbs_State s1, const TopAbs_State s2, const Standard_Boolean b)
Standard_Integer | GIndex (const TopAbs_State S) const
TopAbs_State | GState (const Standard_Integer I) const
void | Index (const Standard_Integer II, Standard_Integer &i1, Standard_Integer &i2) const
void | DumpVal (Standard_OStream &OS, const TopAbs_State s1, const TopAbs_State s2) const
void | DumpType (Standard_OStream &OS) const
virtual void | Dump (Standard_OStream &OS, const Standard_Address s=NULL) const
void | StatesON (TopAbs_State &s1, TopAbs_State &s2) const
Standard_Boolean | IsToReverse1 () const
Standard_Boolean | IsToReverse2 () const
void | SetReverse (const Standard_Boolean rev)
Standard_Boolean | Reverse () const
TopOpeBRepBuild_GTopo | CopyPermuted () const

## Static Public Member Functions
static void | DumpSSB (Standard_OStream &OS, const TopAbs_State s1, const TopAbs_State s2, const Standard_Boolean b)

## Constructor & Destructor Documentation

TopOpeBRepBuild_GTopo::TopOpeBRepBuild_GTopo | ( |  | ) |

TopOpeBRepBuild_GTopo::TopOpeBRepBuild_GTopo | ( | const Standard_Integer | II,
|  | const Standard_Integer | IN,
|  | const Standard_Integer | IO,
|  | const Standard_Integer | NI,
|  | const Standard_Integer | NN,
|  | const Standard_Integer | NO,
|  | const Standard_Integer | OI,
|  | const Standard_Integer | ON,
|  | const Standard_Integer | OO,
|  | const TopAbs_ShapeEnum | t1,
|  | const TopAbs_ShapeEnum | t2,
|  | const TopOpeBRepDS_Config | C1,
|  | const TopOpeBRepDS_Config | C2
| ) |  |

## Member Function Documentation

void TopOpeBRepBuild_GTopo::ChangeConfig | ( | const TopOpeBRepDS_Config | C1,
|  | const TopOpeBRepDS_Config | C2
| ) |  |

void TopOpeBRepBuild_GTopo::ChangeType | ( | const TopAbs_ShapeEnum | t1,
|  | const TopAbs_ShapeEnum | t2
| ) |  |

void TopOpeBRepBuild_GTopo::ChangeValue | ( | const Standard_Integer | i1,
|  | const Standard_Integer | i2,
|  | const Standard_Boolean | b
| ) |  |

void TopOpeBRepBuild_GTopo::ChangeValue | ( | const TopAbs_State | s1,
|  | const TopAbs_State | s2,
|  | const Standard_Boolean | b
| ) |  |

TopOpeBRepDS_Config TopOpeBRepBuild_GTopo::Config1 | ( |  | ) | const

TopOpeBRepDS_Config TopOpeBRepBuild_GTopo::Config2 | ( |  | ) | const

TopOpeBRepBuild_GTopo TopOpeBRepBuild_GTopo::CopyPermuted | ( |  | ) | const

virtual void TopOpeBRepBuild_GTopo::Dump | ( | Standard_OStream & | OS,
|  | const Standard_Address | s = `NULL`
| ) |  | const
| virtual

static void TopOpeBRepBuild_GTopo::DumpSSB | ( | Standard_OStream & | OS,
|  | const TopAbs_State | s1,
|  | const TopAbs_State | s2,
|  | const Standard_Boolean | b
| ) |  |
| static

void TopOpeBRepBuild_GTopo::DumpType | ( | Standard_OStream & | OS | ) | const

void TopOpeBRepBuild_GTopo::DumpVal | ( | Standard_OStream & | OS,
|  | const TopAbs_State | s1,
|  | const TopAbs_State | s2
| ) |  | const

Standard_Integer TopOpeBRepBuild_GTopo::GIndex | ( | const TopAbs_State | S | ) | const

TopAbs_State TopOpeBRepBuild_GTopo::GState | ( | const Standard_Integer | I | ) | const

void TopOpeBRepBuild_GTopo::Index | ( | const Standard_Integer | II,
|  | Standard_Integer & | i1,
|  | Standard_Integer & | i2
| ) |  | const

Standard_Boolean TopOpeBRepBuild_GTopo::IsToReverse1 | ( |  | ) | const

Standard_Boolean TopOpeBRepBuild_GTopo::IsToReverse2 | ( |  | ) | const

void TopOpeBRepBuild_GTopo::Reset | ( |  | ) |

Standard_Boolean TopOpeBRepBuild_GTopo::Reverse | ( |  | ) | const

void TopOpeBRepBuild_GTopo::Set | ( | const Standard_Boolean | II,
|  | const Standard_Boolean | IN,
|  | const Standard_Boolean | IO,
|  | const Standard_Boolean | NI,
|  | const Standard_Boolean | NN,
|  | const Standard_Boolean | NO,
|  | const Standard_Boolean | OI,
|  | const Standard_Boolean | ON,
|  | const Standard_Boolean | OO
| ) |  |

void TopOpeBRepBuild_GTopo::SetReverse | ( | const Standard_Boolean | rev | ) |

void TopOpeBRepBuild_GTopo::StatesON | ( | TopAbs_State & | s1,
|  | TopAbs_State & | s2
| ) |  | const

void TopOpeBRepBuild_GTopo::Type | ( | TopAbs_ShapeEnum & | t1,
|  | TopAbs_ShapeEnum & | t2
| ) |  | const

Standard_Boolean TopOpeBRepBuild_GTopo::Value | ( | const TopAbs_State | s1,
|  | const TopAbs_State | s2
| ) |  | const

Standard_Boolean TopOpeBRepBuild_GTopo::Value | ( | const Standard_Integer | I1,
|  | const Standard_Integer | I2
| ) |  | const

Standard_Boolean TopOpeBRepBuild_GTopo::Value | ( | const Standard_Integer | II | ) | const

The documentation for this class was generated from the following file:

- TopOpeBRepBuild_GTopo.hxx